# Reports

**The below linked reports are a graphical synthesized version of python notebooks present in the [../notebooks](../notebooks) folder.**

Analytics performed:

1. The percentage of canceled flights per day, throughout the entire data set
	
	[01 Daily cancelled flights](01-daily-cancelled-flights.md)

2. Weekly percentages of delays that are due to weather, throughout the entire data set
	
	[02 Weekly delays due to weather](02-weekly-delays-due-to-weather.md)

3. The percentage of flights belonging to a given "distance group" that were able to halve their departure delays by the time they arrived at their destinations. Distance groups assort flights by their total distance in miles. Flights with distances that are less than 200 miles belong in group 1, flights with distances that are between 200 and 399 miles belong in group 2, flights with distances that are between 400 and 599 miles belong in group 3, and so on. The last group contains flights whose distances are between 2400 and 2599 miles.
	
	[03 Distance groups percentages halved delay](03-distance-groups-percentages-halved-delay.md)

4. A weekly "penalty" score for each airport that depends on both the its incoming and outgoing flights. The score adds 0.5 for each incoming flight that is more than 15 minutes late, and 1 for each outgoing flight that is more than 15 minutes late.
	
	[04 Airport weekly penalty for arrivals and departures delays](04-weekly-airport-penalty.md)

5. Also provide an additional data analysis defined by your group.
		
	**Analysis chosen:** The yearly number of flights provided by the carriers for each route.

	[05 Yearly carriers flights count for each route](05-yearly-carriers-flights-count-for-each-route.md)

---

For further details about the analytics and the date, please refer to the repository main page.
